#!/bin/sh
olt_snmpwalkcpu > /tmp/_cpu_info
CpuUser=$(  cat /tmp/_cpu_info | grep ssCpuUser   | awk '{print $4}')
CpuSystem=$(cat /tmp/_cpu_info | grep ssCpuSystem | awk '{print $4}')
CpuIdle=$(  cat /tmp/_cpu_info | grep ssCpuIdle   | awk '{print $4}')
printf "--------------------------------------------\n"
printf " CPU Usage                      \n"
printf "--------------------------------------------\n"
printf "    User        Kernel         Idle \n"
printf "    %2s%%          %2s%%            %2s%% \n"  $CpuUser  $CpuSystem  $CpuIdle
rm -f /tmp/_cpu_info



MEM_TOTAL=$(cat /proc/meminfo | grep MemTotal | awk '{print $2}')
MEM_FREE=$(cat /proc/meminfo | grep MemFree | awk '{print $2}')
MEM_USAGE=$(echo $MEM_TOTAL $MEM_FREE |awk '{printf "%.2f\%\n",100*$2/$1}')

printf "\n"
printf "--------------------------------------------\n"
printf "Memory  Usage\n"
printf "--------------------------------------------\n"
printf "  %-12s  %-12s  %s\n " "Total(KB)" "Free(KB)"  "Percentage"
printf "  %-12s  %-12s  %s\n" $MEM_TOTAL $MEM_FREE $MEM_USAGE

